com.smartgwt.client.types

## Enum Positioning

- java.lang.Object
- - java.lang.Enum<Positioning>
  - - com.smartgwt.client.types.Positioning

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<Positioning>

      public enum Positioning
      extends java.lang.Enum<Positioning>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABSOLUTE` The canvas is absolutely positioned with respect to its parent.
    `RELATIVE` The canvas is relatively positioned according to the document flow.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static Positioning` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Positioning[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABSOLUTE

          public static final Positioning ABSOLUTE

      The canvas is absolutely positioned with respect to its parent.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "absolute".

    - #### RELATIVE

          public static final Positioning RELATIVE

      The canvas is relatively positioned according to the document flow.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "relative".

  - ### Method Detail

    - #### values

          public static Positioning[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Positioning c : Positioning.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Positioning valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`